summaryrefslogtreecommitdiff
path: root/tests/split/filter
diff options
context:
space:
mode:
Diffstat (limited to 'tests/split/filter')
-rwxr-xr-xtests/split/filter4
1 files changed, 4 insertions, 0 deletions
diff --git a/tests/split/filter b/tests/split/filter
index 4c25c5fcd..0614841ed 100755
--- a/tests/split/filter
+++ b/tests/split/filter
@@ -43,4 +43,8 @@ done
split -e -n 10 --filter='xz > $FILE.xz' /dev/null || fail=1
stat x?? 2>/dev/null && fail=1
+# Ensure SIGPIPEs sent by the children don't propagate back
+# where they would result in a non zero exit from split.
+yes | head -n200K | split -b1G --filter='head -c1 >/dev/null' || fail=1
+
Exit $fail